#!/usr/bin/env node
const death = require('death');
const { Parcel } = require('@parcel/core');
const Path = require('path');
const context = process.cwd();

const [,, ... args] = process.argv;
const entry_url = Path.join(context, './' + args);

const defaultPort = {
  port: 3000,
};

const parcelReporterCLI = {
  packageName: '@parcel/reporter-cli',
  resolveFrom: entry_url,
};

const bundleOptions = {
  entries: entry_url,
  defaultConfig: '@parcel/config-default',
  serveOptions: defaultPort,
  hmrOptions: defaultPort,
  additionalReporters: [parcelReporterCLI],
};

async function setup() {
  let bundler = new Parcel(bundleOptions);
  await bundler.watch();
}

async function cleanup(signal, err) {
  process.exit();
}

setup();
death(cleanup);
